OpenTTD Source: IndustryTileOverrideManager Class Reference

OpenTTD Source 1.11.0-RC1

Public Member Functions | Protected Member Functions
IndustryTileOverrideManager Class Reference
Inheritance diagram for IndustryTileOverrideManager:

## Public Member Functions
| IndustryTileOverrideManager (uint16 offset, uint16 maximum, uint16 invalid)
void | SetEntitySpec (const IndustryTileSpec *indts)
Public Member Functions inherited from OverrideManagerBase
| OverrideManagerBase (uint16 offset, uint16 maximum, uint16 invalid)
| Constructor of generic class. More...
virtual | ~OverrideManagerBase ()
| Destructor of the generic class. More...
void | ResetOverride ()
| Resets the override, which is used while initializing game.
void | ResetMapping ()
| Resets the mapping, which is used while initializing game.
void | Add (uint8 local_id, uint32 grfid, uint entity_type)
| Since the entity IDs defined by the GRF file does not necessarily correlate to those used by the game, the IDs used for overriding old entities must be translated when the entity spec is set. More...
virtual uint16 | AddEntityID (byte grf_local_id, uint32 grfid, byte substitute_id)
| Reserves a place in the mapping array for an entity to be installed. More...
uint32 | GetGRFID (uint16 entity_id) const
| Gives the GRFID of the file the entity belongs to. More...
uint16 | GetSubstituteID (uint16 entity_id) const
| Gives the substitute of the entity, as specified by the grf file. More...
virtual uint16 | GetID (uint8 grf_local_id, uint32 grfid) const
| Return the ID (if ever available) of a previously inserted entity. More...
uint16 | GetMaxMapping () const
uint16 | GetMaxOffset () const

## Protected Member Functions
virtual bool | CheckValidNewID (uint16 testid)

## Additional Inherited Members
Data Fields inherited from OverrideManagerBase
EntityIDMapping * | mapping_ID
| mapping of ids from grf files. Public out of convenience
Protected Attributes inherited from OverrideManagerBase
uint16 * | entity_overrides
uint32 * | grfid_overrides
uint16 | max_offset
| what is the length of the original entity's array of specs
uint16 | max_new_entities
| what is the amount of entities, old and new summed
uint16 | invalid_ID
| ID used to detected invalid entities;.

## Detailed Description

Definition at line 248 of file newgrf_commons.h.

The documentation for this class was generated from the following files:

- src/newgrf_commons.h
- src/newgrf_commons.cpp